$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.23.15-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.23.15-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'BDAC3912D670A16EFAF174CA99CA04A154B4E045786C28B37709E38BABFF25F1'
  checksumType = 'sha256'
  checksum64 = 'BDAC3912D670A16EFAF174CA99CA04A154B4E045786C28B37709E38BABFF25F1'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.23.15-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
